defmodule DecentralisedBookIndex.Sync.SyncServerTask do
  alias DecentralisedBookIndex.Metadata
  alias DecentralisedBookIndex.Metadata.DBIServer

  alias DecentralisedBookIndex.SyncTasks.SyncAuthorsTask

  def sync_all() do
    {:ok, servers} = Metadata.list_dbi_server()

    for server <- servers do
      sync_one(server)
    end

    :ok
  end

  def sync_one(%DBIServer{} = server) do
    server
    |> SyncAuthorsTask.sync()

    :ok
  end
end
